curl --request GET \
--url https://api.integrations.commenda.io/v4/core/companies/{companyId}/bill_payments \
--header 'api_key: <api-key>'import requests
url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/bill_payments"
headers = {"api_key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_key: '<api-key>'}};
fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/bill_payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"data": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"bill_id": "<string>",
"payment_id": "<string>",
"credit_note_id": "<string>",
"amount": 123,
"payment_mode": "<string>",
"currency_rate": 123,
"memo": "<string>",
"payment_date": "2023-11-07T05:31:56Z",
"account_id": "<string>",
"contact_id": "<string>",
"document_number": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"bill": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"purchase_order_ids": [
"<string>"
],
"document_number": "<string>",
"posted_date": "2023-11-07T05:31:56Z",
"due_date": "2023-11-07T05:31:56Z",
"currency_rate": 123,
"sub_total": 123,
"tax_amount": 123,
"total_discount": 123,
"total_amount": 123,
"amount_due": 123,
"contact_id": "<string>",
"memo": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"line_items": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"tracking_category_ids": [
"<string>"
],
"parent_id": "<string>",
"item_id": "<string>",
"name": "<string>",
"description": "<string>",
"quantity": 123,
"unit_amount": 123,
"tax_amount": 123,
"discount_amount": 123,
"sub_total": 123,
"total_amount": 123,
"tax_id": "<string>",
"account_id": "<string>",
"variant_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"item": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"name": "<string>",
"description": "<string>",
"code": "<string>",
"sku": "<string>",
"price": 123,
"quantity_on_hand": 123,
"is_bill_item": true,
"bill_item": "<unknown>",
"is_invoice_item": true,
"invoice_item": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"variants": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"parent_id": "<string>",
"name": "<string>",
"sku": "<string>",
"price": 123,
"compare_at_price": 123,
"attributes": "<unknown>"
}
]
}
],
"tax": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"name": "<string>",
"code": "<string>",
"rate": 123,
"tax_type": "<string>",
"effective_tax_rate": 123,
"total_tax_rate": 123,
"components": "<unknown>",
"jurisdiction": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"account": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"nominal_code": "<string>",
"name": "<string>",
"description": "<string>",
"current_balance": 123,
"sub_category": "<string>",
"parent_account_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"variant": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"parent_id": "<string>",
"name": "<string>",
"sku": "<string>",
"price": 123,
"compare_at_price": 123,
"attributes": "<unknown>"
}
]
}
],
"documents": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"file_name": "<string>",
"file_type": "<string>",
"file_size": 123,
"document_type_id": "<string>",
"document_uploaded": true,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"contact": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"name": "<string>",
"contact_name": "<string>",
"email": "<string>",
"phone": "<string>",
"tax_number": "<string>",
"registration_number": "<string>",
"website": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"addresses": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"parent_id": "<string>",
"street": "<string>",
"street2": "<string>",
"locality": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"phone_numbers": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"parent_id": "<string>",
"number": "<string>"
}
],
"external_links": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"parent_id": "<string>",
"link": "<string>"
}
]
}
],
"currency": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"name": "<string>",
"code": "<string>",
"symbol": "<string>",
"is_base_currency": true,
"exchange_rate": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"bill_payments": "<array>"
}
],
"contact": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"name": "<string>",
"contact_name": "<string>",
"email": "<string>",
"phone": "<string>",
"tax_number": "<string>",
"registration_number": "<string>",
"website": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"addresses": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"parent_id": "<string>",
"street": "<string>",
"street2": "<string>",
"locality": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country": "<string>"
}
],
"phone_numbers": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"parent_id": "<string>",
"number": "<string>"
}
],
"external_links": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"parent_id": "<string>",
"link": "<string>"
}
]
}
],
"currency": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"name": "<string>",
"code": "<string>",
"symbol": "<string>",
"is_base_currency": true,
"exchange_rate": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
],
"account": [
{
"rootfi_id": 123,
"rootfi_created_at": "2023-11-07T05:31:56Z",
"rootfi_updated_at": "2023-11-07T05:31:56Z",
"platform_id": "<string>",
"nominal_code": "<string>",
"name": "<string>",
"description": "<string>",
"current_balance": 123,
"sub_category": "<string>",
"parent_account_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}
],
"total_count": 123,
"next": "<string>",
"prev": "<string>"
},
"request_id": "<string>"
}List bill payments
Authorizations
Your Commenda Integrations API key, sent in the api_key header.
Path Parameters
Commenda company id.
Query Parameters
Max records to return.
x <= 100Cursor for the next page (from a previous response).
Cursor for the previous page.
Include soft-deleted records.
Include the total match count in the response.
Comma-separated related resources to expand: bill, contact, currency, account.
Exact match on contact_id.
Comma-separated contact_id values (OR match).
Exact match on account_id.
Comma-separated account_id values (OR match).
Exact match on bill_id.
Comma-separated bill_id values (OR match).
Exact match on currency_id.
AED, AFN, ALL, AMD, ANG, AOA, ARS, AUD, AWG, AZN, BAM, BBD, BDT, BGN, BHD, BIF, BMD, BND, BOB, BOV, BRL, BSD, BTN, BWP, BYN, BZD, CAD, CDF, CHE, CHF, CHW, CLF, CLP, CNY, COP, COU, CRC, CUC, CUP, CVE, CZK, DJF, DKK, DOP, DZD, EGP, ERN, ETB, EUR, FJD, FKP, GBP, GEL, GHS, GIP, GMD, GNF, GTQ, GYD, HKD, HNL, HTG, HUF, IDR, ILS, INR, IQD, IRR, ISK, JMD, JOD, JPY, KES, KGS, KHR, KMF, KPW, KRW, KWD, KYD, KZT, LAK, LBP, LKR, LRD, LSL, LYD, MAD, MDL, MGA, MKD, MMK, MNT, MOP, MRU, MUR, MVR, MWK, MXN, MXV, MYR, MZN, NAD, NGN, NIO, NOK, NPR, NZD, OMR, PAB, PEN, PGK, PHP, PKR, PLN, PYG, QAR, RON, RSD, RUB, RWF, SAR, SBD, SCR, SDG, SEK, SGD, SHP, SLE, SOS, SRD, SSP, STN, SVC, SYP, SZL, THB, TJS, TMT, TND, TOP, TRY, TTD, TWD, TZS, UAH, UGX, USD, USN, UYI, UYU, UYW, UZS, VED, VES, VND, VUV, WST, XAF, XAG, XAU, XBA, XBB, XBC, XBD, XCD, XDR, XOF, XPD, XPF, XPT, XSU, XTS, XUA, XXX, YER, ZAR, ZMW, ZWG Comma-separated currency_id values (OR match).
Exact match on rootfi_integration_type.
Comma-separated rootfi_integration_type values (OR match).
Exact match on rootfi_updated_at.
Comma-separated rootfi_updated_at values (OR match).
rootfi_updated_at greater-than-or-equal.
rootfi_updated_at less-than-or-equal.
Exact match on updated_at.
Comma-separated updated_at values (OR match).
updated_at greater-than-or-equal.
updated_at less-than-or-equal.